# BEGIN SourceDeps(oneline):
BuildRequires: fontconfig-devel libXcursor-devel libXext-devel libXfixes-devel libXft-devel libXinerama-devel libXrender-devel
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:		flrig
Version:	2.0.05
Release:	alt1_1
Summary:	Transceiver control program for Amateur Radio use
License:	GPLv2+
Group:		Communications
URL:		http://www.w1hkj.com/flrig-help/
Source0:	https://sourceforge.net/projects/fldigi/files/%{name}/%{name}-%{version}.tar.gz
BuildRequires:	gcc-c++
BuildRequires:	gcc
BuildRequires:	libfltk-devel
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xmlrpc)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(udev)
Source44: import.info

%description
Flrig is a transceiver control program designed to be used either stand
alone or as an adjunct to fldigi. The user interface changes to accommodate
the degree of CAT support available for the transceiver in use.
The back end control code for each transceiver is unique to flrig.
No additional libraries or definition files are required.

%prep
%setup -q

%build
%configure
%make_build

%install
%makeinstall_std

%files
%doc AUTHORS ChangeLog README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.xpm


%changelog
* Fri Mar 22 2024 Igor Vlasenko <viy@altlinux.org> 2.0.05-alt1_1
- update by mgaimport

* Sat Nov 25 2023 Igor Vlasenko <viy@altlinux.org> 2.0.04-alt1_1
- update by mgaimport

* Tue Oct 03 2023 Igor Vlasenko <viy@altlinux.org> 2.0.03-alt1_1
- update by mgaimport

* Mon Sep 20 2021 Igor Vlasenko <viy@altlinux.org> 1.3.54-alt1_1
- update by mgaimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 1.3.53-alt1_1
- update by mgaimport

* Wed Nov 18 2020 Igor Vlasenko <viy@altlinux.ru> 1.3.52-alt1_1
- update by mgaimport

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 1.3.51-alt1_1
- update by mgaimport

* Thu Apr 09 2020 Igor Vlasenko <viy@altlinux.ru> 1.3.50-alt1_1
- update by mgaimport

* Tue Mar 10 2020 Igor Vlasenko <viy@altlinux.ru> 1.3.49-alt1_2
- update by mgaimport

* Wed Sep 18 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.48-alt1_1
- update by mgaimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.46-alt1_1
- update by mgaimport

* Mon Jul 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.45-alt1_1
- update by mgaimport

* Thu May 23 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.44-alt1_1
- update by mgaimport

* Tue Apr 23 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.43-alt1_1
- update by mgaimport

* Wed Feb 20 2019 Igor Vlasenko <viy@altlinux.ru> 1.3.42-alt1_1
- update by mgaimport

* Mon Dec 10 2018 Igor Vlasenko <viy@altlinux.ru> 1.3.41-alt1_1
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 1.3.40-alt1_2
- update by mgaimport

* Mon Aug 27 2018 Igor Vlasenko <viy@altlinux.ru> 1.3.40-alt1_1
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 1.3.39-alt1_1
- new version

